### Method

# Gtk CellView set_model

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_view_set_model (
      GtkCellView* cell_view,
      GtkTreeModel* model
    )

#### Description [src]

Sets the model for `cell_view`. If `cell_view` already has a model set, it will remove it before setting the new model. If `model` is `NULL`, then it will unset the old model.

Deprecated since: 4.10

Please do not use it in newly written code.

Sets property | `Gtk.CellView:model`

#### Parameters

`model`

  Type: `GtkTreeModel`

  A `GtkTreeModel`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.